Obtenir un Contact
curl --request GET \
--url https://qwoty.app/api/contacts/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/contacts/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "Jean",
"last_name": "Dupont",
"email": "jean.dupont@acme.com",
"phone": "+33 6 12 34 56 78",
"role": ["buyer", "signer"],
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
{
"success": false,
"error": "Contact not found"
}
Contacts
Obtenir un Contact
Récupérer un contact spécifique par ID
GET
/
api
/
contacts
/
{id}
Obtenir un Contact
Autorisation
string
requis
Token Bearer. Format :
Bearer qwoty_your_tokenParamètres de Chemin
string
requis
UUID du contact
Exemples
curl https://qwoty.app/api/contacts/660e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer qwoty_your_token"
const contactId = '660e8400-e29b-41d4-a716-446655440001'
const response = await fetch(`https://qwoty.app/api/contacts/${contactId}`, {
headers: { Authorization: 'Bearer qwoty_your_token' },
})
const data = await response.json()
import requests
contact_id = '660e8400-e29b-41d4-a716-446655440001'
response = requests.get(
f'https://qwoty.app/api/contacts/{contact_id}',
headers={'Authorization': 'Bearer qwoty_your_token'},
)
data = response.json()
Réponse
boolean
true si la requête a réussiobject
L’objet contact
Afficher Objet Contact
Afficher Objet Contact
string
UUID
string
UUID de l’espace de travail
string
UUID du client parent
string
Prénom
string
Nom de famille
string
Adresse e-mail
string | null
Numéro de téléphone
array
Rôles assignés. Valeurs possibles :
buyer, signer, billing, shipping, legal, adminstring | null
ID CRM externe
string | null
ID ERP externe
string | null
ID comptabilité externe
string[]
Tableau des UUID d’adresses liées à ce contact. Utilisez
GET /api/addresses/{id} pour récupérer chaque adresse.string
Horodatage ISO 8601
string
Horodatage ISO 8601
{
"success": true,
"data": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "Jean",
"last_name": "Dupont",
"email": "jean.dupont@acme.com",
"phone": "+33 6 12 34 56 78",
"role": ["buyer", "signer"],
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
}
{
"success": false,
"error": "Contact not found"
}
Cette page vous a-t-elle été utile ?
⌘I

